package jp.hews.hellointent;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class HelloIntent extends Activity {
	
	private View.OnClickListener mButtonListener =
		new View.OnClickListener() {
			public void onClick(View v) {
				sendIntent();
			}
	};
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button b = (Button)findViewById(R.id.button_id);
        b.setOnClickListener(mButtonListener);
    }
    
    private void sendIntent() {
        try {
            EditText et = (EditText)findViewById(R.id.edit_text_id);
            Intent i = new Intent(Intent.ACTION_VIEW, 
                                  Uri.parse(et.getText().toString()));
            startActivity(i);
        } catch (Exception e) {
            TextView t = (TextView)findViewById(R.id.text_id);
            t.setText(e.toString());
        }	
    }
}